﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PROMPTS' AND COLUMN_NAME = 'SUPV' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PROMPTS_SUPV')
BEGIN 
    PRINT 'Creating default constraint DF_PROMPTS_SUPV on table PROMPTS' 
    ALTER TABLE [dbo].[PROMPTS]
    ADD CONSTRAINT [DF_PROMPTS_SUPV] DEFAULT ((0)) FOR [SUPV]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PROMPTS' AND COLUMN_NAME = 'MANA' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PROMPTS_MANA')
BEGIN 
    PRINT 'Creating default constraint DF_PROMPTS_MANA on table PROMPTS' 
    ALTER TABLE [dbo].[PROMPTS]
    ADD CONSTRAINT [DF_PROMPTS_MANA] DEFAULT ((0)) FOR [MANA]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PROMPTS' AND COLUMN_NAME = 'SALE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PROMPTS_SALE')
BEGIN 
    PRINT 'Creating default constraint DF_PROMPTS_SALE on table PROMPTS' 
    ALTER TABLE [dbo].[PROMPTS]
    ADD CONSTRAINT [DF_PROMPTS_SALE] DEFAULT ((0)) FOR [SALE]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PROMPTS' AND COLUMN_NAME = 'PROMPTGROUP' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PROMPTS_PROMPTGROUP')
BEGIN 
    PRINT 'Creating default constraint DF_PROMPTS_PROMPTGROUP on table PROMPTS' 
    ALTER TABLE [dbo].[PROMPTS]
    ADD CONSTRAINT [DF_PROMPTS_PROMPTGROUP] DEFAULT ((0)) FOR [PROMPTGROUP]
END 
GO

